package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏策略添加或修改参数
 * @date 2023/11/29 14:32
 */
@Data
public class GamePolicyConfigAddOrUpdateParam {

    /**
     * 传id为修改, 不传id为新增
     */
    @ApiModelProperty("传id为修改, 不传id为新增")
    private Long id;

    /**
     * 超父游戏id
     */
    @NotNull(message = "超父游戏id不能为空")
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 策略类型
     */
    @NotNull(message = "策略类型不能为空")
    @ApiModelProperty("策略类型")
    private Long type;

    /**
     * 金额
     */
    @ApiModelProperty("金额")
    private Long amount;

    /**
     * 时间（单位：小时）
     */
    @ApiModelProperty("时间（单位：小时）")
    private Long time;

    /**
     * 配置说明
     */
    @NotNull(message = "配置说明不能为空")
    @ApiModelProperty("配置说明：请写出具体的配置细节。如：首次充值金额大于500并且注册时间24小时内的用户，发送钉钉消息")
    private String configExplain;

}
