package com.zanxiang.game.module.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.manage.service.IKfUserService;
import com.zanxiang.game.module.mybatis.entity.KfUser;
import com.zanxiang.game.module.mybatis.mapper.KfUserMapper;
import com.zanxiang.module.util.exception.BaseException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : lingfeng
 * @time : 2023-11-27
 * @description : 客服用户信息
 */
@Slf4j
@Service
public class KfUserServiceImpl extends ServiceImpl<KfUserMapper, KfUser> implements IKfUserService {

    @Override
    public KfUser getKfUser(Long kfUserId, String appId) {
        KfUser kfUser = super.getOne(new LambdaQueryWrapper<KfUser>()
                .eq(KfUser::getKfUserId, kfUserId)
                .eq(KfUser::getAppId, appId));
        if (kfUser == null) {
            throw new BaseException("参数错误, 客服用户信息不存在");
        }
        return kfUser;
    }
}
